1

Topic: error after install iredmail

==== Required information ====
- iRedMail version: 0.8.7
- Store mail accounts in which backend (LDAP/MySQL/PGSQL): mysql
- Linux/BSD distribution name and version: linux Centos
- Related log if you're reporting an issue:
--> Finished Dependency Resolution
Error: Package: php-pecl-apc-3.1.9-2.el6.x86_64 (base)
           Requires: php(zend-abi) = 20090626
           Installed: php-common-5.4.22-1.el6.remi.x86_64 (@remi)
               php(zend-abi) = 20100525-x86-64
           Available: php-common-5.3.3-26.el6.x86_64 (base)
               php(zend-abi) = 20090626
           Available: php-common-5.3.3-27.el6_5.x86_64 (updates)
               php(zend-abi) = 20090626
Error: Package: php-pgsql-5.3.3-27.el6_5.x86_64 (updates)
           Requires: php-common(x86-64) = 5.3.3-27.el6_5
           Installed: php-common-5.4.22-1.el6.remi.x86_64 (@remi)
               php-common(x86-64) = 5.4.22-1.el6.remi
           Available: php-common-5.3.3-26.el6.x86_64 (base)
               php-common(x86-64) = 5.3.3-26.el6
           Available: php-common-5.3.3-27.el6_5.x86_64 (updates)
               php-common(x86-64) = 5.3.3-27.el6_5
Error: Package: amavisd-new-2.8.0-8.el6.noarch (epel)
           Requires: /etc/clamd.d
           Available: clamd-0.98.1-1.el6.x86_64 (epel)
               Not found
           Installed: clamd-0.98.1-1.el6.rf.x86_64 (@rpmforge)
               Not found
           Available: clamd-0.97.7-1.el6.rf.i686 (iRedMail)
               Not found
Error: Package: php-pecl-apc-3.1.9-2.el6.x86_64 (base)
           Requires: php(api) = 20090626
           Installed: php-common-5.4.22-1.el6.remi.x86_64 (@remi)
               php(api) = 20100412-x86-64
           Available: php-common-5.3.3-26.el6.x86_64 (base)
               php(api) = 20090626
           Available: php-common-5.3.3-27.el6_5.x86_64 (updates)
               php(api) = 20090626
You could try using --skip-broken to work around the problem
You could try running: rpm -Va --nofiles --nodigest
< ERROR > Installation failed, please check the terminal output.
< ERROR > If you're not sure what the problem is, try to get help in iRedMail
< ERROR > forum: http://www.iredmail.org/forum/


i don´t understand the problem can somone help me pls

2

Re: error after install iredmail

Did you do sudo update before installtion and is it a fresh OS install as recommended? Just my 2 cents.

3

Re: error after install iredmail

Ducky wrote:

           Installed: php-common-5.4.22-1.el6.remi.x86_64 (@remi)
...
Error: Package: amavisd-new-2.8.0-8.el6.noarch (epel)
...
           Installed: clamd-0.98.1-1.el6.rf.x86_64 (@rpmforge)

It's clearly mentioned in iRedMail installation guide that you have to disable ALL third-party yum repositories BEFORE iRedMail installation.